### Option:Plugins.MSSQL.System.Path
#	Path to external plugin executable.
#
# Mandatory: yes
# Default:
# Plugins.MSSQL.System.Path=

### Option: Plugins.MSSQL.Timeout
#	Amount of time to wait for a server to respond when first connecting and on
#   follow up operations in the session.
#   Global item-type timeout (or individual item timeout) will override this value if it is greater.
#
# Mandatory: no
# Range: 1-30
# Default:
# Plugins.MSSQL.Timeout=<Global timeout from Zabbix agent 2 configuration file>

### Option: Plugins.MSSQL.KeepAlive
#	Time in seconds for waiting before unused connections will be closed.
#
# Mandatory: no
# Range: 60-900
# Default:
# Plugins.MSSQL.KeepAlive=300

### Option: Plugins.MSSQL.CustomQueriesDir
#	Filepath to a directory containing user defined .sql files with custom
#	queries that the plugin can execute.
#
# Mandatory: no
# Default:
# Plugins.MSSQL.CustomQueriesDir=

### Option: Plugins.MSSQL.Sessions.*.Uri
#	Uri to connect.
#	Replace "*" with a session name.
#
# Mandatory: no
# Range:
#   Must matches the URI format.
#   The only supported schema is "sqlserver".
#   Embedded credentials will be ignored.
#   Connection to named instance can be made by specifying instance name in the URI.
#   Example: sqlserver://localhost/InstanceName
# Default: sqlserver://localhost:1433
# Plugins.MSSQL.Sessions.*.Uri=

### Option: Plugins.MSSQL.Sessions.*.User
#	Username to send to protected MSSQL server.
#   Replace "*" with a session name.
#
# Mandatory: no
# Default:
# Plugins.MSSQL.Sessions.*.User=

### Option: Plugins.MSSQL.Sessions.*.Password
#	Password to send to protected MSSQL server.
#   Replace "*" with a session name.
#
# Mandatory: no
# Default:
# Plugins.MSSQL.Sessions.*.Password=

### Option: Plugins.MSSQL.Sessions.*.CACertPath
#	Filepath to the public key certificate of the certificate authority (CA)
#	that issued the certificate of the MSSQL server.
#   Replace "*" with a session name.
#
# Mandatory: no
# Default:
# Plugins.MSSQL.Sessions.*.CACertPath=

### Option: Plugins.MSSQL.Sessions.*.TrustServerCertificate
#	Boolean value to indicate whether the plugin should trust the server
#	certificate without validating it.
#   Replace "*" with a session name.
#
# Mandatory: no
# Range: true, false
# Default:
# Plugins.MSSQL.Sessions.*.TrustServerCertificate=

### Option: Plugins.MSSQL.Sessions.*.HostNameInCertificate
#	Common name (CN) of the certificate of the MSSQL server.
#   Replace "*" with a session name.
#
# Mandatory: no
# Default:
# Plugins.MSSQL.Sessions.*.HostNameInCertificate=

### Option: Plugins.MSSQL.Sessions.*.Encrypt
#	Connection encription type.
#   Replace "*" with a session name.
#
# Mandatory: no
# Default:
# Range: true, false, strict, disable
# Plugins.MSSQL.Sessions.*.Encrypt=

### Option: Plugins.MSSQL.Sessions.*.TLSMinVersion
#	Minimum TLS version to use.
#   Replace "*" with a session name.
#
# Mandatory: no
# Default:
# Range: 1.0, 1.1, 1.2, 1.3
# Plugins.MSSQL.Sessions.*.TLSMinVersion=

### Option: Plugins.MSSQL.Default.Uri
#	Uri to connect.
#   Default value used if no other is specified.
#
# Mandatory: no
# Range:
#   Must matches the URI format.
#   The only supported schema is "sqlserver".
#   Embedded credentials will be ignored.
#   Connection to named instance can be made by specifying instance name in the URI.
#   Example: sqlserver://localhost/InstanceName
# Default: sqlserver://localhost:1433
# Plugins.MSSQL.Default.Uri=

### Option: Plugins.MSSQL.Default.User
#	Username to send to protected MSSQL server.
#   Default value used if no other is specified.
#
# Mandatory: no
# Default:
# Plugins.MSSQL.Default.User=

### Option: Plugins.MSSQL.Default.Password
#	Password to send to protected MSSQL server.
#   Default value used if no other is specified.
#
# Mandatory: no
# Default:
# Plugins.MSSQL.Default.Password=

### Option: Plugins.MSSQL.Default.CACertPath
#	Filepath to the public key certificate of the certificate authority (CA)
#	that issued the certificate of the MSSQL server.
#   Default value used if no other is specified.
#
# Mandatory: no
# Default:
# Plugins.MSSQL.Default.CACertPath=

### Option: Plugins.MSSQL.Default.TrustServerCertificate
#	Boolean value to indicate whether the plugin should trust the server
#	certificate without validating it.
#   Default value used if no other is specified.
#
# Mandatory: no
# Range: true, false
# Default:
# Plugins.MSSQL.Default.TrustServerCertificate=

### Option: Plugins.MSSQL.Default.HostNameInCertificate
#	Common name (CN) of the certificate of the MSSQL server.
#   Default value used if no other is specified.
#
# Mandatory: no
# Default:
# Plugins.MSSQL.Default.HostNameInCertificate=

### Option: Plugins.MSSQL.Default.Encrypt
#	Connection encryption type.
#   Default value used if no other is specified.
#
# Mandatory: no
# Default:
# Range: true, false, strict, disable
# Plugins.MSSQL.Default.Encrypt=

### Option: Plugins.MSSQL.Default.TLSMinVersion
#	Minimum TLS version to use.
#   Default value used if no other is specified.
#
# Mandatory: no
# Default:
# Range: 1.0, 1.1, 1.2, 1.3
# Plugins.MSSQL.Default.TLSMinVersion=
